> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Detail

> Retrieve details of a specific message.



## OpenAPI

````yaml /openapi.json get /v1/message/message-log/{message_id}
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/message/message-log/{message_id}:
    get:
      tags:
        - Karibu-Messages
      summary: Get Message Detail
      description: Retrieve details of a specific message.
      operationId: get_message_detail_v1_message_message_log__message_id__get
      parameters:
        - name: message_id
          in: path
          required: true
          schema:
            type: string
            title: Message Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponseRaw'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessageResponseRaw:
      properties:
        message_id:
          type: string
          title: Message Id
        user_id:
          type: string
          title: User Id
        recipient:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipient
        campaign_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Campaign Id
        channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Id
        sender_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Id
        content:
          type: string
          title: Content
        status:
          $ref: '#/components/schemas/MessageStatusEnum'
        sent_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sent At
      type: object
      required:
        - message_id
        - user_id
        - content
        - status
        - sent_at
      title: MessageResponseRaw
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MessageStatusEnum:
      type: string
      enum:
        - pending
        - sent
        - failed
        - delivered
        - read
        - queued
      title: MessageStatusEnum
      description: Message Status.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````